Coworkers
/coworkers/{id}/api-keys
List coworker API keys
Authorization
bearerAuth AuthorizationBearer <token>
Authentication required for all endpoints. Supports Better Auth user credentials and dedicated coworker bearer API keys.
In: header
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://loading/v1/coworkers/cow_123/api-keys"{
"data": [
{
"id": "cokey_123",
"coworkerId": "cow_123",
"name": "Production key",
"keyStart": "coworker_abcdefgh",
"expiresAt": "2026-12-31T23:59:59.000Z",
"revokedAt": null,
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
],
"meta": {
"timestamp": "2026-01-01T00:00:00.000Z",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": "Unauthorized",
"message": "Authentication required",
"kind": "organization_not_found",
"meta": {
"timestamp": "2021-01-01T00:00:00.000Z",
"requestId": "5091b3ea-994f-4417-8e04-2efc05dd8673",
"path": "/v1/agents",
"method": "GET"
}
}{
"error": "Unauthorized",
"message": "Authentication required",
"kind": "organization_not_found",
"meta": {
"timestamp": "2021-01-01T00:00:00.000Z",
"requestId": "5091b3ea-994f-4417-8e04-2efc05dd8673",
"path": "/v1/agents",
"method": "GET"
}
}{
"error": "Unauthorized",
"message": "Authentication required",
"kind": "organization_not_found",
"meta": {
"timestamp": "2021-01-01T00:00:00.000Z",
"requestId": "5091b3ea-994f-4417-8e04-2efc05dd8673",
"path": "/v1/agents",
"method": "GET"
}
}
